package com.bzd.system.service.kc.bb;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 拆零报表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcBbSalesanddispensingService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcBbSalesanddispensing(PageData pd)throws Exception {
        return daoSupport.update("SKcBbSalesanddispensingMapper.addSKcBbSalesanddispensing", pd);
    }

    public List<PageData> findSKcBbSalesanddispensingList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcBbSalesanddispensingMapper.selectSKcBbSalesanddispensingList", pd);
    }

    public Integer SKcBbSalesanddispensingRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcBbSalesanddispensingMapper.SKcBbSalesanddispensingRemove", pd);
    }


    public Integer updateSKcBbSalesanddispensing(PageData pd)throws Exception {
        return daoSupport.update("SKcBbSalesanddispensingMapper.updateSKcBbSalesanddispensing", pd);
    }

}
